Bug 10942 - cleanup add_string_to_array and usage
cleanup add_string_to_array and usage
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-19 11:07 UTC by Guenther Deschner
Modified: 2014-11-25 19:28 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.1 (12.17 KB, patch)
2014-11-19 11:08 UTC, Guenther Deschner
asn: review+
Details
exact same patch or 4.2 (12.17 KB, application/mbox)
2014-11-19 11:09 UTC, Guenther Deschner
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2014-11-19 11:07:41 UTC
There are some invalid typecasts in the add_string_to_array usage that cause real bugs on bigendian architectures, see e.g. https://bugzilla.redhat.com/show_bug.cgi?id=1162552 for details.

A patch to resolve these has been pushed to master already.
Comment 1 Guenther Deschner 2014-11-19 11:08:50 UTC
Created attachment 10439 [details]
patch for 4.1
Comment 2 Guenther Deschner 2014-11-19 11:09:25 UTC
Created attachment 10440 [details]
exact same patch or 4.2
Comment 3 Andreas Schneider 2014-11-20 12:37:09 UTC
Comment on attachment 10440 [details]
exact same patch or 4.2

LGTM
Comment 4 Andreas Schneider 2014-11-20 12:37:47 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 5 Karolin Seeger 2014-11-24 20:14:29 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 6 Karolin Seeger 2014-11-25 19:28:01 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!